Bug 1863049 - implement module Obsoletes in DNF stack
Summary: implement module Obsoletes in DNF stack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1834844
TreeView+ depends on / blocked
 
Reported: 2020-08-03 14:40 UTC by Daniel Mach
Modified: 2022-02-14 11:21 UTC (History)
12 users (show)

Fixed In Version: dnf-4.6.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-11 07:31:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Daniel Mach 2020-08-03 14:40:30 UTC
This is a RFE to implement Obsoletes in DNF stack.

Under normal circumstances, Obsoletes should be inactive.
The Obsoletes can be activated with:
* a command-line option
* a configuration option
* automatically enabled during system-upgrade

When activated, Obsoletes will:
* reset an enabled stream if it's just EOL and no obsoleting stream is specified
* switch to a new stream if an obsoleting stream is specified

The feature must be available in libdnf so microdnf and PackageKit can use it.

Link to the Fedora Change that describes the behavior in more detail:
https://fedoraproject.org/wiki/Changes/Module_Obsoletes_and_EOL

Comment 1 Ben Cotton 2020-08-11 13:51:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.